# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# We don't really need ExtUtils::MakeMaker ≥ 6.30
%global old_eumm %(perl -MExtUtils::MakeMaker -e 'print (($ExtUtils::MakeMaker::VERSION) < 6.30 ? 1 : 0);' 2>/dev/null || echo 0)

Name:		perl-ExtUtils-BuildRC
Version:	0.005
Release:	2.%{__distinit}%{__distvers}
Summary:	A reader for Build.PL configuration files
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/ExtUtils-BuildRC
Source0:	http://cpan.metacpan.org/authors/id/L/LE/LEONT/ExtUtils-BuildRC-%{version}.tar.gz
Patch0:		ExtUtils-BuildRC-0.005-old-eumm.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Build
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module
BuildRequires:	perl(Carp)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::Helpers)
BuildRequires:	perl(File::Spec::Functions)
# Test Suite
BuildRequires:	perl(Cwd)
BuildRequires:	perl(File::Find)
BuildRequires:	perl(File::Temp)
BuildRequires:	perl(Test::More)
# Release Tests
BuildRequires:	perl(Pod::Coverage::TrustPod)
BuildRequires:	perl(Test::Pod) >= 1.41
BuildRequires:	perl(Test::Pod::Coverage) >= 1.08
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
This module parses Build.PL configuration files.

%prep
%setup -q -n ExtUtils-BuildRC-%{version}

# We don't really need ExtUtils::MakeMaker ≥ 6.30
%if %{old_eumm}
%patch0
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test RELEASE_TESTING=1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/ExtUtils/
%{_mandir}/man3/ExtUtils::BuildRC.3pm*

%changelog
* Sat Jul 20 2013 Paul Howarth <paul@city-fan.org> - 0.005-2
- Perl 5.18 rebuild

* Sat Apr 13 2013 Paul Howarth <paul@city-fan.org> - 0.005-1
- Update to 0.005:
  - Deprecate this module, along with .modulebuildrc in general

* Sat Apr  6 2013 Paul Howarth <paul@city-fan.org> - 0.004-1
- Update to 0.004:
  - Drop Test::Differences dependency
- Drop BRs: perl(Test::Differences) and perl(Test::Kwalitee)
- BR: perl(File::Find) and perl(File::Temp) for the test suite
- Update patch for building with old ExtUtils::MakeMaker versions

* Sun Mar 31 2013 Paul Howarth <paul@city-fan.org> - 0.003-1
- Initial RPM version
